package org.jdtaus.banking.dtaus.swing;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class TransactionDialogBundle{ 

/** <pre> Executive name 2:</pre>. */
public static String getExecutiveName2LabelText(final Locale locale) {
    return getMessage("executiveName2Label", locale);
}

/** <pre> Executive name 2:</pre>. */
public static MessageFormat getExecutiveName2LabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executiveName2Label", locale), locale);
}

/** <pre> "C" record</pre>. */
public static String getTitleText(final Locale locale) {
    return getMessage("title", locale);
}

/** <pre> "C" record</pre>. */
public static MessageFormat getTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("title", locale), locale);
}

/** <pre> Description 5:</pre>. */
public static String getDescriptionLabel5Text(final Locale locale) {
    return getMessage("descriptionLabel5", locale);
}

/** <pre> Description 5:</pre>. */
public static MessageFormat getDescriptionLabel5Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel5", locale), locale);
}

/** <pre> Description 12:</pre>. */
public static String getDescriptionLabel12Text(final Locale locale) {
    return getMessage("descriptionLabel12", locale);
}

/** <pre> Description 12:</pre>. */
public static MessageFormat getDescriptionLabel12Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel12", locale), locale);
}

/** <pre> Account code (Kto):</pre>. */
public static String getExecutiveAccountLabelText(final Locale locale) {
    return getMessage("executiveAccountLabel", locale);
}

/** <pre> Account code (Kto):</pre>. */
public static MessageFormat getExecutiveAccountLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executiveAccountLabel", locale), locale);
}

/** <pre> Description 8:</pre>. */
public static String getDescriptionLabel8Text(final Locale locale) {
    return getMessage("descriptionLabel8", locale);
}

/** <pre> Description 8:</pre>. */
public static MessageFormat getDescriptionLabel8Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel8", locale), locale);
}

/** <pre> Amount:</pre>. */
public static String getAmountLabelText(final Locale locale) {
    return getMessage("amountLabel", locale);
}

/** <pre> Amount:</pre>. */
public static MessageFormat getAmountLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("amountLabel", locale), locale);
}

/** <pre> Description 3:</pre>. */
public static String getDescriptionLabel3Text(final Locale locale) {
    return getMessage("descriptionLabel3", locale);
}

/** <pre> Description 3:</pre>. */
public static MessageFormat getDescriptionLabel3Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel3", locale), locale);
}

/** <pre> Description 13:</pre>. */
public static String getDescriptionLabel13Text(final Locale locale) {
    return getMessage("descriptionLabel13", locale);
}

/** <pre> Description 13:</pre>. */
public static MessageFormat getDescriptionLabel13Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel13", locale), locale);
}

/** <pre> Opens a dialog for searching a Bankleitzahl.</pre>. */
public static String getSearchBankActionDescriptionText(final Locale locale) {
    return getMessage("searchBankActionDescription", locale);
}

/** <pre> Opens a dialog for searching a Bankleitzahl.</pre>. */
public static MessageFormat getSearchBankActionDescriptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("searchBankActionDescription", locale), locale);
}

/** <pre> Textschlüssel:</pre>. */
public static String getTextschluesselLabelText(final Locale locale) {
    return getMessage("textschluesselLabel", locale);
}

/** <pre> Textschlüssel:</pre>. */
public static MessageFormat getTextschluesselLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("textschluesselLabel", locale), locale);
}

/** <pre> Bank code (BLZ):</pre>. */
public static String getTargetBankLabelText(final Locale locale) {
    return getMessage("targetBankLabel", locale);
}

/** <pre> Bank code (BLZ):</pre>. */
public static MessageFormat getTargetBankLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("targetBankLabel", locale), locale);
}

/** <pre> Description 14:</pre>. */
public static String getDescriptionLabel14Text(final Locale locale) {
    return getMessage("descriptionLabel14", locale);
}

/** <pre> Description 14:</pre>. */
public static MessageFormat getDescriptionLabel14Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel14", locale), locale);
}

/** <pre> Description 2:</pre>. */
public static String getDescriptionLabel2Text(final Locale locale) {
    return getMessage("descriptionLabel2", locale);
}

/** <pre> Description 2:</pre>. */
public static MessageFormat getDescriptionLabel2Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel2", locale), locale);
}

/** <pre> Target name 2:</pre>. */
public static String getTargetName2LabelText(final Locale locale) {
    return getMessage("targetName2Label", locale);
}

/** <pre> Target name 2:</pre>. */
public static MessageFormat getTargetName2LabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("targetName2Label", locale), locale);
}

/** <pre> Ok</pre>. */
public static String getOkButtonText(final Locale locale) {
    return getMessage("okButton", locale);
}

/** <pre> Ok</pre>. */
public static MessageFormat getOkButtonMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("okButton", locale), locale);
}

/** <pre> Executive name:</pre>. */
public static String getExecutiveNameLabelText(final Locale locale) {
    return getMessage("executiveNameLabel", locale);
}

/** <pre> Executive name:</pre>. */
public static MessageFormat getExecutiveNameLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executiveNameLabel", locale), locale);
}

/** <pre> Description 11:</pre>. */
public static String getDescriptionLabel11Text(final Locale locale) {
    return getMessage("descriptionLabel11", locale);
}

/** <pre> Description 11:</pre>. */
public static MessageFormat getDescriptionLabel11Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel11", locale), locale);
}

/** <pre> Description 9:</pre>. */
public static String getDescriptionLabel9Text(final Locale locale) {
    return getMessage("descriptionLabel9", locale);
}

/** <pre> Description 9:</pre>. */
public static MessageFormat getDescriptionLabel9Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel9", locale), locale);
}

/** <pre> Bank code (BLZ):</pre>. */
public static String getExecutiveBankLabelText(final Locale locale) {
    return getMessage("executiveBankLabel", locale);
}

/** <pre> Bank code (BLZ):</pre>. */
public static MessageFormat getExecutiveBankLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executiveBankLabel", locale), locale);
}

/** <pre> Description 1:</pre>. */
public static String getDescriptionLabel1Text(final Locale locale) {
    return getMessage("descriptionLabel1", locale);
}

/** <pre> Description 1:</pre>. */
public static MessageFormat getDescriptionLabel1Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel1", locale), locale);
}

/** <pre> Cancel</pre>. */
public static String getCancelButtonText(final Locale locale) {
    return getMessage("cancelButton", locale);
}

/** <pre> Cancel</pre>. */
public static MessageFormat getCancelButtonMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("cancelButton", locale), locale);
}

/** <pre> Description 4:</pre>. */
public static String getDescriptionLabel4Text(final Locale locale) {
    return getMessage("descriptionLabel4", locale);
}

/** <pre> Description 4:</pre>. */
public static MessageFormat getDescriptionLabel4Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel4", locale), locale);
}

/** <pre> Description 7:</pre>. */
public static String getDescriptionLabel7Text(final Locale locale) {
    return getMessage("descriptionLabel7", locale);
}

/** <pre> Description 7:</pre>. */
public static MessageFormat getDescriptionLabel7Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel7", locale), locale);
}

/** <pre> Bankcode search</pre>. */
public static String getSearchBankActionNameText(final Locale locale) {
    return getMessage("searchBankActionName", locale);
}

/** <pre> Bankcode search</pre>. */
public static MessageFormat getSearchBankActionNameMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("searchBankActionName", locale), locale);
}

/** <pre> Description 10:</pre>. */
public static String getDescriptionLabel10Text(final Locale locale) {
    return getMessage("descriptionLabel10", locale);
}

/** <pre> Description 10:</pre>. */
public static MessageFormat getDescriptionLabel10Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel10", locale), locale);
}

/** <pre> Account code (Kto):</pre>. */
public static String getTargetAccountLabelText(final Locale locale) {
    return getMessage("targetAccountLabel", locale);
}

/** <pre> Account code (Kto):</pre>. */
public static MessageFormat getTargetAccountLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("targetAccountLabel", locale), locale);
}

/** <pre> Target name:</pre>. */
public static String getTargetNameLabelText(final Locale locale) {
    return getMessage("targetNameLabel", locale);
}

/** <pre> Target name:</pre>. */
public static MessageFormat getTargetNameLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("targetNameLabel", locale), locale);
}

/** <pre> Description 6:</pre>. */
public static String getDescriptionLabel6Text(final Locale locale) {
    return getMessage("descriptionLabel6", locale);
}

/** <pre> Description 6:</pre>. */
public static MessageFormat getDescriptionLabel6Message(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("descriptionLabel6", locale), locale);
}

/** <pre> "C" Record</pre>. */
public static String getTransactionPanelTitleText(final Locale locale) {
    return getMessage("transactionPanelTitle", locale);
}

/** <pre> "C" Record</pre>. */
public static MessageFormat getTransactionPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionPanelTitle", locale), locale);
}

/** <pre> Reference code:</pre>. */
public static String getReferenceLabelText(final Locale locale) {
    return getMessage("referenceLabel", locale);
}

/** <pre> Reference code:</pre>. */
public static MessageFormat getReferenceLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("referenceLabel", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.TransactionDialog", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
